import React, { ReactNode } from 'react';
import { SubmitFooterHandle } from '../../Footer/SubmitFooter';
import { SelectOption, SelectOptionType, SelectVariant } from '../../types';
declare type SelectContentProps = {
    multiple: boolean;
    closeOnSelect: boolean;
    isClearable: boolean;
    enableSubLabelSearch: boolean;
    isLoading: boolean;
    isVisible: boolean;
    showSelectAll: boolean;
    setIsVisible: (data: boolean) => void;
    searchInputValue: string;
    setSearchInputValue: React.Dispatch<React.SetStateAction<string>>;
    options: SelectOption[];
    setOptions: React.Dispatch<React.SetStateAction<SelectOption[]>>;
    hasFooter: boolean;
    setHasFooter: React.Dispatch<React.SetStateAction<boolean>>;
    hasSearch: boolean;
    setHasSearch: React.Dispatch<React.SetStateAction<boolean>>;
    optionsRef: React.RefObject<HTMLLIElement>[];
    setOptionsRef: React.Dispatch<React.SetStateAction<React.RefObject<HTMLLIElement>[]>>;
    selectedOptions: SelectOption[];
    selectedOptionsWithValuesOnly?: (string | number)[];
    filteredOptions: Map<SelectOption['value'], {
        option: SelectOption;
        index: number;
    }>;
    shouldShowSearchInput: boolean;
    selectAllIsSelected: boolean;
    shouldShowNoResultsLabel: boolean;
    isFullWidthVariant: boolean;
    optionType: SelectOptionType;
    onSelect: (e: SelectOption[]) => void;
    onSearchChange: (e: string) => void;
    submitRef: React.MutableRefObject<SubmitFooterHandle | null>;
    focusedOptionRef: React.MutableRefObject<number | null>;
};
export declare const SelectContext: React.Context<SelectContentProps>;
declare type SelectProviderProps = {
    children: ReactNode;
    selectedOptions?: SelectOption[];
    minOptionsToDisplaySearch?: number;
    variant?: SelectVariant;
    optionType: SelectOptionType;
    onSelect: (e: SelectOption[]) => void;
    multiple?: boolean;
    closeOnSelect?: boolean;
    isClearable?: boolean;
    isLoading?: boolean;
    searchInitialValue?: string;
    onSearchChange?: (e: string) => void;
    enableSubLabelSearch?: boolean;
};
export declare function SelectProvider({ children, selectedOptions, minOptionsToDisplaySearch, variant, optionType, onSelect, multiple, closeOnSelect, isClearable, isLoading, searchInitialValue, onSearchChange, enableSubLabelSearch, }: SelectProviderProps): JSX.Element;
export {};
