import React from 'react';
import { AddOptionsFooter, SubmitFooter } from '../Footer';
import { PopoverContentProps } from '../Popover';
import { DefaultEmptyState } from '../State/EmptyState';
import SelectListBox from './SelectListBox';
import SelectSearchInput from './SelectSearchInput';
export declare const isScrollableElement: (el: HTMLElement) => boolean;
export declare type SelectContentProps = Pick<PopoverContentProps, 'className' | 'metadata' | 'selectTriggerRef' | 'children'>;
declare const SelectContent: React.FC<React.PropsWithChildren<SelectContentProps>> & {
    ListBox: typeof SelectListBox;
    SearchInput: typeof SelectSearchInput;
    DefaultEmptyState: typeof DefaultEmptyState;
    AddOptionsFooter: typeof AddOptionsFooter;
    SubmitFooter: typeof SubmitFooter;
};
export default SelectContent;
