import React, { ReactNode } from 'react';
import { SelectProps, SelectOption } from './BaseSelect/types';
import { SelectListBoxOptionProps } from './BaseSelect/Wrappers';
export declare type BasicSelectProps<T extends SelectOption> = Pick<SelectProps<T>, 'className' | 'listClassName' | 'disabled' | 'variant' | 'metadata' | 'emptyStateLabel' | 'triggerLabel' | 'autoFocus' | 'multiple' | 'isClearable'> & {
    children: ReactNode;
    selectedOption: T | null;
    onSelect(value: T | null): void;
};
declare const BasicSelectOption: React.FC<React.PropsWithChildren<Pick<SelectListBoxOptionProps<SelectOption>, "value">>>;
declare const BasicSelectOptionGroup: ({ name, children }: import("./BaseSelect/ListBox/components/OptionGroup").OptionGroupProps) => JSX.Element;
declare const BasicSelect: React.ForwardRefExoticComponent<Pick<SelectProps<SelectOption>, "disabled" | "metadata" | "variant" | "autoFocus" | "className" | "listClassName" | "multiple" | "emptyStateLabel" | "triggerLabel" | "isClearable"> & {
    children: ReactNode;
    selectedOption: SelectOption | null;
    onSelect(value: SelectOption | null): void;
} & React.RefAttributes<HTMLDivElement>> & {
    Option: typeof BasicSelectOption;
    OptionGroup: typeof BasicSelectOptionGroup;
};
export default BasicSelect;
